=== modified file 'CMakeLists.txt'
--- CMakeLists.txt	2014-06-17 23:29:10 +0000
+++ CMakeLists.txt	2014-09-08 08:08:13 +0000
@@ -7,7 +7,7 @@
 include(GNUInstallDirs)
 
 option(INSTALL_TESTS "Install the tests on make install" on)
-option(CLICK_MODE "Installs to a contained location" off)
+option(CLICK_MODE "Installs to a contained location" on)
 
 set(APP_NAME music)
 set(DESKTOP_FILE "${PROJECT_NAME}_${APP_NAME}.desktop")
@@ -16,7 +16,7 @@
 set(MAIN_QML music-app.qml)
 set(ICON_FILE images/music-app@30.png)
 set(AUTOPILOT_DIR music_app)
-
+set(UBUNTU_MANIFEST_PATH "click/manifest.json.in" CACHE INTERNAL "Tell QtCreator location and name of the manifest file")
 
 if(CLICK_MODE)
     if(NOT DEFINED BZR_SOURCE)

=== modified file 'click/manifest.json.in'
--- click/manifest.json.in	2014-08-07 21:29:55 +0000
+++ click/manifest.json.in	2014-09-08 08:08:13 +0000
@@ -1,8 +1,9 @@
 {
+    "architecture": "all",
     "description": "A music application for ubuntu",
     "framework": "ubuntu-sdk-14.10-qml-dev3",
     "hooks": {
-        "@APP_NAME@": {
+        "music": {
             "apparmor": "apparmor.json",
             "content-hub": "music-app-content.json",
             "desktop": "@DESKTOP_FILE@",

=== modified file 'debian/rules'
--- debian/rules	2014-03-07 16:03:06 +0000
+++ debian/rules	2014-09-08 08:08:13 +0000
@@ -11,3 +11,6 @@
 
 %:
 	dh $@
+
+override_dh_auto_configure:
+        dh_auto_configure -- -DCLICK_MODE=OFF

